# Generated from datastruct-0.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name datastruct

Name: rubygem-%{gem_name}
Version: 0.0.10
Release: 1%{?dist}
Summary: A great base class for data structures
License: GPL-3.0
URL: https://github.com/Hubro/Datastruct
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
Datastruct is made to be a more feature rich alternative to Ruby's Struct
class. It defines several methods common for data structures, like hash
lookup and serialization to JSON and YAML. See the README file for examples.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 0.0.10-1
- Initial package
